Name: tbuild
Version: 0.1.2024.0
Release: 1
License: Non-free
BuildArch: x86_64
URL: https://www.tinymanagement.com/
Summary: TinyBuilder Client
%description
TinyBuilder is designed as a simpler alternative to make
and CMake. Its scripting language is much simpler and its
server minimizes onboarding time.
 The TinyBuilder client parses an easy to read script to
construct a set of command lines to execute on the server
as a job. The client transfers the code to the server,
executes the command lines there and transfers the output
back to the client.
 The TinyBuilder server and client may be used at no cost.
A license may be purchased for individual support and for
additional features.

%post
rm -f /usr/local/bin/tbuild || true
ln -s /usr/share/tbuild/bin/tbuild /usr/local/bin/tbuild

%postun
rm -f /usr/local/bin/tbuild || true

%files
/usr/share/tbuild/bin/tbuild
/usr/share/tbuild/LICENSE
/usr/share/man/man1/tbuild.1
/usr/share/man/man1/tbuilder.1
/usr/share/man/man1/tbuilderd.1
